<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::sensoractuator::Imu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensoractuator_1_1_imu.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classframework_1_1sensoractuator_1_1_imu-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensoractuator::Imu Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class for <a class="el" href="classframework_1_1sensoractuator_1_1_imu.html" title="Abstract class for Imu. ">Imu</a>.  
 <a href="classframework_1_1sensoractuator_1_1_imu.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_imu_8h_source.html">Imu.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensoractuator::Imu:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensoractuator_1_1_imu.png" usemap="#framework::sensoractuator::Imu_map" alt=""/>
  <map id="framework::sensoractuator::Imu_map" name="framework::sensoractuator::Imu_map">
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="123,56,359,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="123,0,359,24"/>
<area href="classframework_1_1sensoractuator_1_1_gx3__25__imu.html" title="Classe intégrant la centrale 3dmgx3-25. " alt="framework::sensoractuator::Gx3_25_imu" shape="rect" coords="0,168,236,192"/>
<area href="classframework_1_1sensoractuator_1_1_simu_imu.html" title="Class for a simulation imu. " alt="framework::sensoractuator::SimuImu" shape="rect" coords="246,168,482,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a938cd205e9c55ee543156bccaf1f1a08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a938cd205e9c55ee543156bccaf1f1a08"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Imu</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name)</td></tr>
<tr class="separator:a938cd205e9c55ee543156bccaf1f1a08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a663b9a7409243a9aeb833eca2ef76cce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a663b9a7409243a9aeb833eca2ef76cce"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Imu</b> (<a class="el" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, std::string name)</td></tr>
<tr class="separator:a663b9a7409243a9aeb833eca2ef76cce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2bb527fc9799c54bfc0e28e280c5eac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2bb527fc9799c54bfc0e28e280c5eac"></a>
core::GridLayout *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupLayout</b> (void)</td></tr>
<tr class="separator:ad2bb527fc9799c54bfc0e28e280c5eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d19fb67a319982d45710303e77679c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d19fb67a319982d45710303e77679c1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Lock</b> (void)</td></tr>
<tr class="separator:a2d19fb67a319982d45710303e77679c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213ac702abd67cecf560e22de80153eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a213ac702abd67cecf560e22de80153eb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Unlock</b> (void)</td></tr>
<tr class="separator:a213ac702abd67cecf560e22de80153eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556b357b91f669d9fd5e79677ada9e5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a556b357b91f669d9fd5e79677ada9e5e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a556b357b91f669d9fd5e79677ada9e5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a818d26dd29269fddf06d26887a320af8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a818d26dd29269fddf06d26887a320af8"></a>
core::Tab *&#160;</td><td class="memItemRight" valign="bottom"><b>PlotTab</b> (void)</td></tr>
<tr class="separator:a818d26dd29269fddf06d26887a320af8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a95b56a32dc9a0af90da89ed351385b57">IODevice</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a95b56a32dc9a0af90da89ed351385b57">More...</a><br/></td></tr>
<tr class="separator:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br/></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ab908771540c2c4ab3f061bde6729ec28">AddDeviceToLog</a> (<a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#ab908771540c2c4ab3f061bde6729ec28">More...</a><br/></td></tr>
<tr class="separator:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">Object</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2c0d3a6932a32e14fe0da2cb5d396c8f">More...</a><br/></td></tr>
<tr class="separator:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">ObjectName</a> (void)</td></tr>
<tr class="memdesc:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#aa7f53a758a9fceb50c44751854929960">More...</a><br/></td></tr>
<tr class="separator:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a2374065f2e4c5fbf8878e6a29fbf16b7">More...</a><br/></td></tr>
<tr class="separator:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">Parent</a> (void)</td></tr>
<tr class="memdesc:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a5c95035e30ff6514f1b419fb85448a8c">More...</a><br/></td></tr>
<tr class="separator:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ac0b037da8cdd7c40b211888442dacd3d">More...</a><br/></td></tr>
<tr class="separator:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">Childs</a> (void)</td></tr>
<tr class="memdesc:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#ad7d6e338d564ee997523131d3e53efb6">More...</a><br/></td></tr>
<tr class="separator:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a8a83ff865df29be24a15e50d7382876e">More...</a><br/></td></tr>
<tr class="separator:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a777476dd40eaf5ca7733c2e1aaeb90dd">More...</a><br/></td></tr>
<tr class="separator:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#aa57e9e38dcc7f0388071eb54c2b30be4">More...</a><br/></td></tr>
<tr class="separator:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a767d6845fc52f59d1847a626f8eec401"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a767d6845fc52f59d1847a626f8eec401"></a>
core::GroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupGroupBox</b> (void)</td></tr>
<tr class="separator:a767d6845fc52f59d1847a626f8eec401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10d5c8ffb193aa3243505eefdd225aa5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensoractuator_1_1_imu.html#a10d5c8ffb193aa3243505eefdd225aa5">UpdateImu</a> ()</td></tr>
<tr class="memdesc:a10d5c8ffb193aa3243505eefdd225aa5"><td class="mdescLeft">&#160;</td><td class="mdescRight">UpdateImu.  <a href="#a10d5c8ffb193aa3243505eefdd225aa5">More...</a><br/></td></tr>
<tr class="separator:a10d5c8ffb193aa3243505eefdd225aa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br/></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad622dcf9bb33bf0a4230ce76c2152904 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ad622dcf9bb33bf0a4230ce76c2152904">SetDataToLog</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:ad622dcf9bb33bf0a4230ce76c2152904 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to be logged.  <a href="#ad622dcf9bb33bf0a4230ce76c2152904">More...</a><br/></td></tr>
<tr class="separator:ad622dcf9bb33bf0a4230ce76c2152904 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a978750c6da6bd1e9ec9452c508e86a25"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_imu_data.html">core::ImuData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensoractuator_1_1_imu.html#a978750c6da6bd1e9ec9452c508e86a25">imudata</a></td></tr>
<tr class="memdesc:a978750c6da6bd1e9ec9452c508e86a25"><td class="mdescLeft">&#160;</td><td class="mdescRight">ImuData.  <a href="#a978750c6da6bd1e9ec9452c508e86a25">More...</a><br/></td></tr>
<tr class="separator:a978750c6da6bd1e9ec9452c508e86a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class for <a class="el" href="classframework_1_1sensoractuator_1_1_imu.html" title="Abstract class for Imu. ">Imu</a>. </p>
<p>Use this class to define a custom <a class="el" href="classframework_1_1sensoractuator_1_1_imu.html" title="Abstract class for Imu. ">Imu</a>. Reimplemented class must instantiate imudata. <br/>
 </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a10d5c8ffb193aa3243505eefdd225aa5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensoractuator::Imu::UpdateImu </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>UpdateImu. </p>
<p>The reimplemented class must call this function as soon as IMU datas are available. <br/>
 It handles the data rotation if it was defined. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a978750c6da6bd1e9ec9452c508e86a25"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_imu_data.html">core::ImuData</a>* framework::sensoractuator::Imu::imudata</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ImuData. </p>
<p>The reimplemented class must instantiate this variable in its constructor. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><b>sensoractuator</b></li><li class="navelem"><a class="el" href="classframework_1_1sensoractuator_1_1_imu.html">Imu</a></li>
    <li class="footer">Generated on Tue Mar 25 2014 13:01:10 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
